Skip to main content
Alerting & Response/Alert Rules
GETAlertingSince 1.0SynchronousAuth Required

ListAlertInhibitionRules

List all alert inhibition rules for suppressing correlated alerts

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of inhibition rules

    Example: (nested array)

    • uuidString

      Unique identifier of the inhibition rule

      Example: inhib-001

    • nameString

      Human-readable rule name

      Example: Suppress disk alerts when host down

    • descriptionString

      Rule description

      Example: Suppress disk alerts when host is unreachable

    • sourceMatchString

      Source alert matcher expression

      Example: alertname=HostDown

    • targetMatchString

      Target alert matcher expression to suppress

      Example: alertname=DiskFull

    • equalLabelsString

      Comma-separated labels that must match between source and target

      Example: host,cluster

    • enabledBoolean

      Whether this inhibition rule is active

      Example: true

    • createDateString

      Timestamp when the rule was created

      Example: 2026-01-15T08:00:00Z

    • lastOpDateString

      Timestamp of the last modification

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total number of inhibition rules

    Example: 3

  • limitInteger

    Maximum items per page

    Example: 20

  • offsetInteger

    Offset from start of result set

    Example: 20

Endpoint

GET/api/v1/alerting/inhibition-rules

/api/v1/alerting/inhibition-rules

Operation ID

ListAlertInhibitionRules

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/inhibition-rules' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 3,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history